<?php
/**
* @version $Id: mod_sfade2.php, v2 2006/02/15
* @package XFade2 : Steve - steve@slayeroffice.com
* @copyright (C) 2006 SlayerOffice
*/

/* Adaptation pour Joomla 1.5 par www.antevox.fr */

// no direct access
defined('_JEXEC') or die('Restricted access');

$attente_affichageb	= $params->get( 'attente_affichageb', 2000 );
$attente_fondub	= $params->get( 'attente_fondub', 70 );

$largeurb	= $params->get( 'largeurb', 150 );
$hauteurb	= $params->get( 'hauteurb', 100 );

$cheminImagesb = $params->get( 'cheminImagesb', 'images/stories');

$attributALTb = $params->get( 'attributALTb', '');
$attributTITLEb = $params->get( 'attributTITLEb', '');


// LISTE DES IMAGES DU DOSSIER CHOISI
      
      // Création d'un pointeur vers le dossier
      // (pas d'utilisation de @opendir pour éviter message d'erreur si dossier inexistant,
      //  sinon page blanche sans aucune indication - mieux vaut un message qui indique quel module est en erreur )
      $dirb = opendir($cheminImagesb);
      if (!$dirb) exit;   // die ou exit sont équivalents => arrêt du programme si le dossier n'existe pas
      
      // Recherche des images dans ce dossier :
      // => les noms des fichiers avec chemin sont placés dans un tableau
      $tab_imagesb = array();
      // ----------------------------------------------------------------
      // Pour chacun des fichiers présents dans le dossier auquel est associé le pointeur $dir
      while($fichierb = readdir($dirb)) {
      $fichieraveccheminb = $cheminImagesb."/".$fichierb;
         
         // Si c'est un fichier
         if(is_file($fichieraveccheminb)) {  // ou if( $file != '.' && $file != '..' && !is_dir($dirname.$file) ) {
            
            // Si c'est une extension d'image compressée
            $extb = strtolower(substr($fichierb, strrpos($fichierb, '.') + 1));
            if( ($extb=="jpg") || ($extb=="jpeg") || ($extb=="gif") || ($extb=="png")) {
                   
                   $tab_imagesb[] = $fichieraveccheminb;
            }
         }
      }
      closedir($dirb); // Fermeture du dossier
      
      
      // Tri des images par ordre alphabétique, si ce tableau d'images n'est pas vide
      if (sizeof($tab_imagesb) != 0) {
            sort($tab_imagesb);
      }
?>


<script type="text/javascript">
<!--
/*****

Image Cross Fade Redux
Version 1.0
Last revision: 02.15.2006
steve@slayeroffice.com

Please leave this notice intact.

Rewrite of old code found here: http://slayeroffice.com/code/imageCrossFade/index.html

*****/

window.addEventListener?window.addEventListener("load",so_initb,false):window.attachEvent("onload",so_initb);

/* ================================================================================================ */

var db=document, imgsb = new Array(), zIntervalb = null, currentb=0, pauseb=false;

function so_initb() {
	if(!db.getElementById || !db.createElement)return;

	imgsb = db.getElementById("imageContainerb").getElementsByTagName("img");
	for(i=1;i<imgsb.length;i++) imgsb[i].xOpacity = 0;
	imgsb[0].style.display = "block";
	imgsb[0].xOpacity = .99;
	
	setTimeout(so_xfadeb,<?php echo $attente_affichageb?>);
}

function so_xfadeb() {
	cOpacityb = imgsb[currentb].xOpacity;
	nIndexb = imgsb[currentb+1]?currentb+1:0;

	nOpacityb = imgsb[nIndexb].xOpacity;

	cOpacityb-=.05;
	nOpacityb+=.05;
	
	imgsb[nIndexb].style.display = "block";
	imgsb[currentb].xOpacity = cOpacityb;
	imgsb[nIndexb].xOpacity = nOpacityb;
	
	setOpacityb(imgsb[currentb]);
	setOpacityb(imgsb[nIndexb]);
	
	if(cOpacityb<=0) {
		imgsb[currentb].style.display = "none";
		currentb = nIndexb;
		setTimeout(so_xfadeb,<?php echo $attente_affichageb?>);
	} else {
		setTimeout(so_xfadeb,<?php echo $attente_fondub?>);
	}
	
	function setOpacityb(objb) {
		if(objb.xOpacity>.99) {
			objb.xOpacity = .99;
			return;
		}
		objb.style.opacity = objb.xOpacity;
		objb.style.MozOpacity = objb.xOpacity;
		objb.style.filter = "alpha(opacity=" + (objb.xOpacity*100) + ")";
	}
	
}

//-->
</script>

<!-- Début du bloc <div> qui contiendra les images du fondu-enchaîné (avec obligatoirement id="imageContainer") -->
<div id="imageContainerb" style="position: relative; width: <?php echo $largeurb?>px; height: <?php echo $hauteurb?>px;">

<?php  

$nbimagesb = count($tab_imagesb);
if ( $nbimagesb == 0) {
   echo "</div><!-- Fin <div id='imageContainer' ...> -->";
   exit;
}


// Ecriture de la balise pour la première image (avec "display: block;") :
/* pour toutes les images, style en ligne "display: none;"
   sauf pour la première image : "display: block;" pour qu'elle s'affiche seule si Javascript désactivé */

$srcimageb = $tab_imagesb[0];
echo "<img src=\"".$srcimageb."\" alt=\"".$attributALTb."\" title=\"".$attributTITLEb."\" style=\"position: absolute; top: 0; left: 0; width: ".$largeurb."; height: ".$hauteurb."; display: block;\" />";

if ( $nbimagesb == 1) {
   echo "</div><!-- Fin <div id='imageContainer' ...> -->";
   exit;
}


// Ecriture des balises images suivantes
// (même balise que pour la première image, sauf display: none; dans le style en ligne)
for ($ib=1; $ib<$nbimagesb; $ib++) {
  $srcimageb = $tab_imagesb[$ib];
  echo "<img src=\"".$srcimageb."\" alt=\"".$attributALTb."\" title=\"".$attributTITLEb."\" style=\"position: absolute; top: 0; left: 0; width: ".$largeurb."; height: ".$hauteurb."; display: none;\" />";
}

?>

</div><!-- Fin <div id="imageContainer" ...> -->
